function figframe(vertices, faces)
    global aviobject;
    figure(1);patch('Vertices', vertices, 'Faces', faces, 'FaceVertexCData',...
         [.6 .6 .6], 'FaceColor', 'flat','facelighting','none');
    axis normal;
    axis([-15 15 -15 15 -15 15]);
    axis off;
    light('Position',[2000 2000 2000],'Style','infinite');
    aviobject = addframe(aviobject,getframe);
    clf;
